Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core
Interface CheckResultInterface

All Known Implementing Classes:
  CheckResult

    public interface CheckResultInterface

Field Summary
`static int` | `TYPE_RESULT_COMMENT`
`static int` | `TYPE_RESULT_ERROR`
`static int` | `TYPE_RESULT_NONE`
`static int` | `TYPE_RESULT_OK`
`static int` | `TYPE_RESULT_WARNING`
`static String[]` | `typeDesc`

Method Summary
`String` | `getErrorCode()`
`CheckResultSourceInterface` | `getSourceInfo()`
`String` | `getText()`
`int` | `getType()`
`String` | `getTypeDesc()`
`void` | `setErrorCode(String errorCode)` Sets the component-specific result/error code.
`void` | `setText(String value)` Sets the text for the check-result
`void` | `setType(int value)` Sets the check-result type
`String` | `toString()`

Field Detail

### TYPE_RESULT_NONE

    static final int TYPE_RESULT_NONE

See Also:
  Constant Field Values

### TYPE_RESULT_OK

    static final int TYPE_RESULT_OK

See Also:
  Constant Field Values

### TYPE_RESULT_COMMENT

    static final int TYPE_RESULT_COMMENT

See Also:
  Constant Field Values

### TYPE_RESULT_WARNING

    static final int TYPE_RESULT_WARNING

See Also:
  Constant Field Values

### TYPE_RESULT_ERROR

    static final int TYPE_RESULT_ERROR

See Also:
  Constant Field Values

### typeDesc

    static final String[] typeDesc

Method Detail

### getType

    int getType()

  Returns:
    The type of the Check Result (0-4)

### getTypeDesc

    String getTypeDesc()

  Returns:
    The internationalized type description

### getText

    String getText()

  Returns:
    The text of the check result.

### getSourceInfo

    CheckResultSourceInterface getSourceInfo()

  Returns:
    The source of the check result

### toString

    String toString()

  Overrides:
    `toString` in class `Object`
  Returns:
    String description of the check result

### getErrorCode

    String getErrorCode()

  Returns:
    The component-specific result code.

### setErrorCode

    void setErrorCode(String errorCode)

  Sets the component-specific result/error code.

  Parameters:
    `errorCode` - Unchecked string that can be used for validation

### setType

    void setType(int value)

  Sets the check-result type

  Parameters:
    `value` - The type from 0-4

### setText

    void setText(String value)

  Sets the text for the check-result

  Parameters:
    `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD